#!/bin/sh

PROG_NAME='deblurring_demo'
RUN_DIR="/opt/intel/openvino_2021/deployment_tools/open_model_zoo/demos/deblurring_demo/python/"
DEF_FILE="$HOME/Images/deblurred_image.png"
MODEL_FILE1="$HOME/model/public/FP32/deblurgan-v2.xml"

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
fi

python3 $PROG_NAME.py -m $MODEL_FILE1 $INPUT_PREF $INPUT_FILE --loop
