#!/bin/sh

PROG_NAME='human_pose_estimation_demo'
RUN_DIR="$HOME/omz_demos_build/intel64/Release/"
DEF_FILE="$HOME/Videos/person_m.mp4"
MODEL_FILE="$HOME/model/intel/FP32/human-pose-estimation-0001.xml"

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

./$PROG_NAME -at openpose $INPUT_PREF $INPUT_FILE -m $MODEL_FILE
