#!/bin/sh

PROG_NAME='object_detection_demo'
RUN_DIR="/opt/intel/openvino_2021/deployment_tools/open_model_zoo/demos/object_detection_demo/python/"
DEF_FILE="$HOME/Videos/car_person.mp4"
MODEL_FILE="$HOME/model/intel/FP32/person-vehicle-bike-detection-crossroad-yolov3-1020.xml"

echo [$PROG_NAME/_g32.sh] \'$PROG_NAME \(GPU32\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

python3 $PROG_NAME.py -m $MODEL_FILE $INPUT_PREF $INPUT_FILE -d GPU -at yolo
