#!/bin/sh

PROG_NAME='pedestrian_tracker_demo'
RUN_DIR="$HOME/omz_demos_build/intel64/Release/"
DEF_FILE="$HOME/Videos/video003_m.mp4"
MODEL_FILE1="$HOME/model/intel/FP32/person-detection-retail-0013.xml"
MODEL_FILE2="$HOME/model/intel/FP32/person-reidentification-retail-0288.xml"

echo [$PROG_NAME\_g32.sh] \'$PROG_NAME \(GPU32\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

./$PROG_NAME -loop $INPUT_PREF $INPUT_FILE -m_det $MODEL_FILE1 -m_reid $MODEL_FILE2 -d_det GPU -d_reid GPU
