#!/bin/sh

PROG_NAME='smart_classroom_demo'
RUN_DIR="$HOME/omz_demos_build/intel64/Release/"
DEF_FILE="$HOME/Videos/classroom_s.mp4"
MODEL_FILE1="$HOME/model/intel/FP32/person-detection-action-recognition-0005.xml"
MODEL_FILE2="$HOME/model/intel/FP32/face-detection-adas-0001.xml"

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

./$PROG_NAME -loop $INPUT_PREF $INPUT_FILE -m_act $MODEL_FILE1 -m_fd $MODEL_FILE2
