#!/bin/sh

echo [image_classification_16.sh] 'image_classification.py (MYRIAD)' Run !!
cd ~/workspace/apps/

OPTION1='image_classification.py'
OPTION2='-m'
OPTION3="$HOME/model/public/FP16/squeezenet1.1.xml"
OPTION4=
OPTION5=
OPTION6='-i'

if [ $# = 0 ]
then
    OPTION7="$HOME/Images/cat.jpg"
elif [ $# = 1 ]
then
    OPTION7=$1
elif [ $# = 2 ]
then
    OPTION7=$1   
    OPTION8='-o'
    OPTION9=$2
fi

echo program : $OPTION1
echo model1. : $OPTION2 $OPTION3
echo model2. : $OPTION4 $OPTION5
echo device. : MYRIAD
echo input.. : $OPTION6 $OPTION7
echo output. : $OPTION8 $OPTION9

python3 $OPTION1 $OPTION2 $OPTION3 $OPTION4 $OPTION5 $OPTION6 $OPTION7 $OPTION8 $OPTION9 -d MYRIAD
