#!/bin/sh

echo [object_detect_yolo3_2_g32.sh] 'object_detect_yolo3_2.py (GPU32)' Run !!
cd ~/workspace/apps/

OPTION1='object_detect_yolo3_2.py'
OPTION2='--ir'
OPTION3="$HOME/model/public/FP32/yolo-v3-tiny-tf.xml"
OPTION4=
OPTION5=
OPTION6='-i'

if [ $# = 0 ]
then
    OPTION7="$HOME/Videos/car.mp4"
elif [ $# = 1 ]
then
    OPTION7=$1
elif [ $# = 2 ]
then
    OPTION7=$1   
    OPTION8='-o'
    OPTION9=$2
fi

echo program : $OPTION1
echo model1. : $OPTION2 $OPTION3
echo model2. : $OPTION4 $OPTION5
echo device. : GPU
echo input.. : $OPTION6 $OPTION7
echo output. : $OPTION8 $OPTION9

python3 $OPTION1 $OPTION2 $OPTION3 $OPTION4 $OPTION5 $OPTION6 $OPTION7 $OPTION8 $OPTION9 -d GPU
