#!/bin/sh

echo [virtual_fitting_g32.sh] 'virtual_Fitting.py (GPU32)' Run !!
cd ~/workspace/apps/

OPTION1='virtual_fitting.py'
OPTION2='-m_dt'
OPTION3="$HOME/model/intel/FP32/face-detection-retail-0005.xml"
OPTION4='-m_lm'
OPTION5="$HOME/model/intel/FP32/landmarks-regression-retail-0009.xml"
OPTION6='-i'

if [ $# = 0 ]
then
    OPTION='0'
    OPTION7="$HOME/Images/photo.jpg"
elif [ $# = 1 ]
then
    OPTION=$1
    OPTION7="$HOME/Images/photo.jpg"
elif [ $# = 2 ]
then
    OPTION=$1
    OPTION7=$2
elif [ $# = 3 ]
then
    OPTION=$1
    OPTION7=$2   
    OPTION8='-o'
    OPTION9=$3
fi

echo itemidx.: $OPTION
echo program : $OPTION1
echo model1. : $OPTION2 $OPTION3
echo model2. : $OPTION4 $OPTION5
echo device. : GPU
echo input.. : $OPTION6 $OPTION7
echo output. : $OPTION8 $OPTION9

python3 $OPTION1 -item $OPTION $OPTION2 $OPTION3 $OPTION4 $OPTION5 $OPTION6 $OPTION7 $OPTION8 $OPTION9 -d GPU
