#!/bin/sh

PROG_NAME='colorization_demo'
RUN_DIR="/opt/intel/openvino_2021/deployment_tools/open_model_zoo/demos/colorization_demo/python/"
DEF_FILE="$HOME/Videos/mono03.mp4"
MODEL_FILE1="$HOME/model/public/FP16/colorization-v2.xml"

echo [$PROG_NAME\_16.sh] \'$PROG_NAME \(NCS2\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
fi

python3 $PROG_NAME.py -m $MODEL_FILE1 $INPUT_PREF $INPUT_FILE -d MYRIAD
