#!/bin/sh

PROG_NAME='crossroad_camera_demo'
RUN_DIR="$HOME/omz_demos_build/intel64/Release/"
DEF_FILE="$HOME/Videos/car.mp4"
MODEL_FILE="$HOME/model/intel/FP16/person-vehicle-bike-detection-crossroad-0078.xml"

echo [$PROG_NAME\_g16.sh] \'$PROG_NAME \(GPU16\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

./$PROG_NAME -loop $INPUT_PREF $INPUT_FILE -m $MODEL_FILE -d GPU
