#!/bin/sh

PROG_NAME='gesture_recognition_demo'
RUN_DIR="/opt/intel/openvino_2021/deployment_tools/open_model_zoo/demos/gesture_recognition_demo/python/"
DEF_FILE="$HOME/Videos/ASK_Please.mp4"
MODEL_FILE1="$HOME/model/intel/FP32/asl-recognition-0004.xml"
MODEL_FILE2="$HOME/model/intel/FP32/person-detection-asl-0001.xml"
CLASS_FILE="/opt/intel/openvino_2021/deployment_tools/open_model_zoo/data/dataset_classes/msasl100.json"

echo [$PROG_NAME\_g32.sh] \'$PROG_NAME \(GPU32\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

python3 $PROG_NAME.py -m_a $MODEL_FILE1 -m_d $MODEL_FILE2 $INPUT_PREF $INPUT_FILE -c $CLASS_FILE -d GPU
