#!/bin/sh

PROG_NAME='human_pose_estimation_demo'
RUN_DIR="/opt/intel/openvino_2021/deployment_tools/open_model_zoo/demos/human_pose_estimation_demo/python/"
DEF_FILE="$HOME/Videos/driver.mp4"
MODEL_FILE="$HOME/model/intel/FP32/human-pose-estimation-0001.xml"

echo [$PROG_NAME\_g32.sh] \'$PROG_NAME \(GPU32\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

python3 $PROG_NAME.py $INPUT_PREF $INPUT_FILE -m $MODEL_FILE -at openpose -d GPU
