#!/bin/sh

PROG_NAME='single_human_pose_estimation_demo'
RUN_DIR="/opt/intel/openvino_2021/deployment_tools/open_model_zoo/demos/single_human_pose_estimation_demo/python/"
DEF_FILE="$HOME/Videos/person.mp4"
MODEL_FILE1="$HOME/model/public/FP16/mobilenet-ssd.xml"
MODEL_FILE2="$HOME/model/public/FP16/single-human-pose-estimation-0001.xml"
LABEL_FILE='driver_actions.txt'

echo [$PROG_NAME\_16.sh] \'$PROG_NAME \(NCS2\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

python3 $PROG_NAME.py -m_od $MODEL_FILE1 -m_hpe $MODEL_FILE2 $INPUT_PREF $INPUT_FILE -d MYRIAD
