#!/bin/sh

PROG_NAME='super_resolution_demo'
RUN_DIR="$HOME/omz_demos_build/intel64/Release/"
DEF_FILE="$HOME/Images/image-low.bmp"
MODEL_FILE="$HOME/model/intel/FP16/single-image-super-resolution-1032.xml"

echo [$PROG_NAME\_g16.sh] \'$PROG_NAME \(GPU16\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
fi

./$PROG_NAME $INPUT_PREF $INPUT_FILE -m $MODEL_FILE -show true -d GPU
