#!/bin/sh

PROG_NAME='face_mask'
RUN_DIR="$HOME/workspace/apps2/"
MODEL_FACE="-m_dt ./models/face-detection-adas-0001.xml"
MODEL_MASK="-m_mk ./models/face_mask.xml"
DEVICE="-d MYRIAD"

echo [$PROG_NAME\_16.sh] \'$PROG_NAME \(NCS2\)\' Run !!
cd $RUN_DIR

if [ $# = 1 ]
then
    INPUT_FILE="-i $1"
elif [ $# = 2 ]
then
    INPUT_FILE="-i $1"
    OUTPUT_FILE="-o $2"
fi

python3 $PROG_NAME.py $MODEL_FACE $MODEL_MASK $DEVICE $INPUT_FILE $OUTPUT_FILE
