#!/bin/sh

echo [person-tracking2_16.sh] 'person-tracking2.py (MYRIAD)' Run !!
cd ~/workspace/demo/

OPTION1='person-tracking2.py'
OPTION2='-m_dt'
OPTION3="$HOME/model/intel/FP16/person-detection-retail-0013.xml"
OPTION4='-m_re'
OPTION5="$HOME/model/intel/FP16/person-reidentification-retail-0287.xml"
OPTION6='-i'

if [ $# = 0 ]
then
    OPTION7="$HOME/Videos/video002.mp4"
elif [ $# = 1 ]
then
    OPTION7=$1
elif [ $# = 2 ]
then
    OPTION7=$1   
    OPTION8='-o'
    OPTION9=$2
fi

echo program : $OPTION1
echo model1. : $OPTION2 $OPTION3
echo model2. : $OPTION4 $OPTION5
echo device. : MYRIAD
echo input.. : $OPTION6 $OPTION7
echo output. : $OPTION8 $OPTION9

python3 $OPTION1 $OPTION2 $OPTION3 $OPTION4 $OPTION5 -d MYRIAD $OPTION6 $OPTION7 $OPTION8 $OPTION9
